Bug 204912 - CVE-2006-4623 Wrong handling of DVB ULE SNDU with length of 0
CVE-2006-4623 Wrong handling of DVB ULE SNDU with length of 0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Neil Horman
Brian Brock
impact=low,source=vendorsec,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 06:39 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 15:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-09-01 06:39:05 EDT
From Ang Way Chuang:

ULE (Unidirectional Lightweight Encapsulation RFC 4326) decapsulation code has a
bug that allows an attacker to send a malformed ULE packet with SNDU length of 0
and bring down the receiving machine. The kernel will produce a dump during
CRC32 checking on faulty ULE packet.
Comment 5 Neil Horman 2006-09-15 15:49:53 EDT
 don't have any hardware to test this, but it looks pretty obvious.  I'll smoke
test and patch
Comment 6 Jason Baron 2006-09-21 20:40:49 EDT
committed in stream U5 build 42.13. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 7 Jason Baron 2006-09-26 10:38:21 EDT
committed in stream E5 build 42.0.3
Comment 8 RHEL Product and Program Management 2006-09-27 18:35:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Red Hat Bugzilla 2006-10-05 15:20:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0689.html

Note You need to log in before you can comment on or make changes to this bug.